org.apache.fop.area.inline

## Class Container

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.inline.Container

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Container
      extends Area

  Container area for inline container. This area should be placed in a viewport as a result of the inline container formatting object. This allows an inline area to have blocks as children.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<Block>` | `blocks` The list of block areas stacked inside this container
    `protected int` | `width` The width of this container

    - ### Fields inherited from class org.apache.fop.area.Area

      `bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

    - ### Fields inherited from class org.apache.fop.area.AreaTreeObject

      `extensionAttachments, foreignAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Container()` Create a new container area

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildArea(Area child)` Add a child to this area.
    `java.util.List<Block>` | `getBlocks()` Get the block areas stacked inside this container area.
    `int` | `getWidth()` Get the width of this container area.

    - ### Methods inherited from class org.apache.fop.area.Area

      `activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setIPD, setTraits, setWritingModeTraits, toString`

    - ### Methods inherited from class org.apache.fop.area.AreaTreeObject

      `addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blocks

          protected java.util.List<Block> blocks

      The list of block areas stacked inside this container

    - #### width

          protected int width

      The width of this container

  - ### Constructor Detail

    - #### Container

          public Container()

      Create a new container area

  - ### Method Detail

    - #### addChildArea

          public void addChildArea(Area child)

      Description copied from class: `Area`
      Add a child to this area. The default is to do nothing. Subclasses must override to do something if they can have child areas.
      Overrides:
        `addChildArea` in class `Area`
      Parameters:
        `child` - the child area to add

    - #### getBlocks

          public java.util.List<Block> getBlocks()

      Get the block areas stacked inside this container area.
      Returns:
        the list of block areas

    - #### getWidth

          public int getWidth()

      Get the width of this container area.
      Returns:
        the width

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.